
div.gridContainer {
    display: grid;
    grid-template-columns: 220px 620px;

    /* grid-template-columns: 250px 950px auto;*/
    grid-template-rows: 368px auto;
    grid-column-gap: 0.3em;
    grid-row-gap: 0;

    align-items: center;

    grid-template-areas: "activeMatrix canvas" "transformUI transformUI";
}

div.transformUI {
    grid-area: transformUI;

    max-width: 600px;
}

div.canHolder {
    grid-area: canvas;
}

div.keywordsDesc {
    grid-area: description;
    align-self: start;
    justify-self: start;

    display: block;
    /*width: 780px;*/
}

div.keywordsDesc {
    border: 3px solid rgb(29, 179, 210);
    border-radius: 15px;
    -webkit-border-radius: 15px;
    background-color: rgba(24, 7, 27, 0.8);

    padding: 7px;
    color: #2196F3;

    /* font: 10px Century Schoolbook, Times New Roman, Times, serif;*/
    /*font-family:  Constantia, "Lucida Bright", Lucidabright, "Lucida Serif", Lucida, "DejaVu Serif", "Bitstream Vera Serif", "Liberation Serif", Georgia, serif;*/

    font: 10px Consolas, "Andale Mono WT", "Andale Mono", "Lucida Console", "Lucida Sans Typewriter", "DejaVu Sans Mono", "Bitstream Vera Sans Mono", "Liberation Mono", "Nimbus Mono L", Monaco, "Courier New", Courier, monospace;
}

div.subMatrixHeader {
    grid-area: subMatrixHeader;

}

div.activeMatrix {
    grid-area: activeMatrix;

    justify-self: center;
    align-self: start;
}

#translationCanvas {
    grid-area: canvas;
    justify-self: start;
    align-self: start;
}

div.subMatrix {
    display: grid;

    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: repeat(4, 1fr);
    grid-row-gap: 0.5em;
    grid-column-gap: 0;

    align-items: start;
    justify-items: center;

    grid-template-areas: ". subMatrixHeader ." "m00 m01 m02" "m10 m11 m12" "m20 m21 m22";
}

div.subMatrix {
    border: 3px solid rgb(29, 179, 210);
    border-radius: 15px;
    -webkit-border-radius: 15px;
    background-color: rgba(24, 7, 27, 0.8);
    font-size: 16px;

    margin: 1px;
    padding: 7px;
    color: #2196F3;

}

div.areaGrid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto auto;

    grid-column-gap: 1em;
    grid-row-gap: 1em;

    grid-template-areas: "consoleHeader historyHeader" "console history";
}

p.inputHeader {
    grid-area: inputHeader;
}

#commandRow {
    grid-area: commandRow;
}

div.commandInputGrid {
    display: grid;
    grid-template-columns: 1fr 2fr;
    grid-template-rows: auto;

    justify-items: start;
    align-items: center;

    grid-column-gap: 0;
    grid-row-gap: 0;

    grid-template-areas: "inputHeader commandRow";
}